@echo off

REM Project: eBus Connector
REM  Module: Service Uninstallation Script
REM  Author: Thomas Ternyi (thomas@terenyi.at)

REM Check if this script is run with administrator rights
mkdir %windir%\system32\testifadmin 2> NUL
if "%errorlevel%" == "0" (rmdir "%windir%\system32\testifadmin" & goto Admin) else (goto NotAdmin)

:Admin

REM Uninstall the service
C:\Windows\Microsoft.NET\Framework\v2.0.50727\InstallUtil.exe -U eBusConnectorService.exe

echo eBus Connector Service uninstalled.
goto End

:NotAdmin
echo Please run this script with administrator rights!
pause

:End
