@echo off

REM Project: eBus Connector
REM  Module: Service Installation Script
REM  Author: Thomas Ternyi (thomas@terenyi.at)

REM Check if this script is run with administrator rights
mkdir %windir%\system32\testifadmin 2> NUL
if "%errorlevel%" == "0" (rmdir "%windir%\system32\testifadmin" & goto Admin) else (goto NotAdmin)

:Admin

REM Install the service
C:\Windows\Microsoft.NET\Framework\v2.0.50727\InstallUtil.exe eBusConnectorService.exe

REM Write the service configuration
regedit /s eBusConnector.reg

REM Set the service to depend on the virtual port service
sc config eBusConnector depend=sec_service

REM Start the service
net start eBusConnector

echo eBus Connector Service installed.
goto End

:NotAdmin
echo Please run this script with administrator rights!
pause

:End
