// Project: eBus Connector
//  Module: Service Wrapper
//  Author: Thomas Ternyi (thomas@terenyi.at)

using System.Reflection;
using System.ServiceProcess;

[assembly: AssemblyTitle("eBus Connector Service Wrapper")]
[assembly: AssemblyCompany("Thomas Ternyi")]
[assembly: AssemblyProduct("eBus Connector")]
[assembly: AssemblyCopyright("Copyright  2012")]
[assembly: AssemblyVersion("1.3.0.0")]
[assembly: AssemblyFileVersion("1.3.0.0")]

namespace eBusConnector
{
    /// <summary>
    /// This class contains the service wrapper.
    /// </summary>
    static class ServiceWrapper
    {
        /// <summary>
        /// This is the main entry point for the application.
        /// </summary>
        static void Main()
        {
            // Run the service
            ServiceBase.Run(new ServiceBase[] { new Service() });
        }
    }
}
